<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class WFOB_Compatibility_With_WooMulti_Curcy {
	public function __construct() {
		add_filter( 'wfob_discounted_price_data', [ $this, 'convert_discounted_price' ], 10, 2 );
	}

	public function convert_discounted_price( $price_data, $cart_item_key ) {
		if ( ! function_exists( 'wmc_get_price' ) ) {
			return $price_data;
		}
		if ( empty( $cart_item_key ) ) {
			$price_data['regular_price'] = wmc_get_price( $price_data['regular_price'] );
			$price_data['price']         = wmc_get_price( $price_data['price'] );
		}
		if ( class_exists( 'WOOMULTI_CURRENCY_Plugin_Woofunnels_Order_Bump' ) ) {
			WFOB_Common::remove_actions( 'wfob_show_product_price', 'WOOMULTI_CURRENCY_Plugin_Woofunnels_Order_Bump', 'wfob_show_product_price' );
		}
		if ( class_exists( 'WOOMULTI_CURRENCY_F_Plugin_Woofunnels_Order_Bump' ) ) {
			WFOB_Common::remove_actions( 'wfob_show_product_price', 'WOOMULTI_CURRENCY_F_Plugin_Woofunnels_Order_Bump', 'wfob_show_product_price' );
		}

		return $price_data;
	}
}

new WFOB_Compatibility_With_WooMulti_Curcy();